import request from '@/utils/request'

// 查询订单售后列表
export function listOmsAftersale(query, pageReq) {
  return request({
    url: '/oms/aftersale/list',
    method: 'post',
    data: query,
    params: pageReq
  })
}

// 查询订单售后详细
export function getOmsAftersale(id) {
  return request({
    url: '/oms/aftersale/' + id,
    method: 'get'
  })
}

// 售后订单操作
export function dealWithAftersale(data){
  return request({
    url: '/oms/aftersale/dealWith',
    method: 'post',
    data: data
  })
}

export function   viewLog(orderId){
  return request({
    url: `/oms/aftersale/log/` + orderId,
    method: 'get'
  })
}
